| Flutter Impeller |

Public Member Functions | Static Public Member Functions | List of all members
flutter::DlTextImpeller Class Reference

`#include <dl_text_impeller.h>`

Inheritance diagram for flutter::DlTextImpeller:

## Public Member Functions
| ~DlTextImpeller ()=default
| DlTextImpeller (const std::shared_ptr< impeller::TextFrame > &frame)
DlRect | GetBounds () const
std::shared_ptr< impeller::TextFrame > | GetTextFrame () const
const SkTextBlob * | GetTextBlob () const

## Static Public Member Functions
static std::shared_ptr< DlTextImpeller > | Make (const std::shared_ptr< impeller::TextFrame > &frame)
static std::shared_ptr< DlTextImpeller > | MakeFromBlob (const sk_sp< SkTextBlob > &blob)

## Detailed Description

Definition at line 14 of file dl_text_impeller.h.

## Constructor & Destructor Documentation

## ◆ ~DlTextImpeller()

flutter::DlTextImpeller::~DlTextImpeller | ( |  | ) |
| default

## ◆ DlTextImpeller()

flutter::DlTextImpeller::DlTextImpeller | ( | const std::shared_ptr< impeller::TextFrame > & | frame | ) |
| explicit

Definition at line 21 of file dl_text_impeller.cc.

23 : frame_(frame) {}

## Member Function Documentation

## ◆ GetBounds()

DlRect flutter::DlTextImpeller::GetBounds | ( |  | ) | const
| inline

Definition at line 25 of file dl_text_impeller.h.

25 { return frame_->GetBounds(); }

## ◆ GetTextBlob()

const SkTextBlob* flutter::DlTextImpeller::GetTextBlob | ( |  | ) | const
| inline

Definition at line 29 of file dl_text_impeller.h.

29 { return nullptr; }

## ◆ GetTextFrame()

std::shared_ptr<impeller::TextFrame> flutter::DlTextImpeller::GetTextFrame | ( |  | ) | const
| inline

Definition at line 27 of file dl_text_impeller.h.

27 { return frame_; }

## ◆ Make()

std::shared_ptr< DlTextImpeller > flutter::DlTextImpeller::Make | ( | const std::shared_ptr< impeller::TextFrame > & | frame | ) |
| static

Definition at line 11 of file dl_text_impeller.cc.

12 {
13 return std::make_shared<DlTextImpeller>(frame);
14 }

Referenced by MakeFromBlob(), and impeller::testing::TEST_P().

## ◆ MakeFromBlob()

std::shared_ptr< DlTextImpeller > flutter::DlTextImpeller::MakeFromBlob | ( | const sk_sp< SkTextBlob > & | blob | ) |
| static

Definition at line 16 of file dl_text_impeller.cc.

17 {
18 return DlTextImpeller::Make(impeller::MakeTextFrameFromTextBlobSkia(blob));
19 }
flutter::DlTextImpeller::Make
static std::shared_ptr< DlTextImpeller > Make(const std::shared_ptr< impeller::TextFrame > &frame)
Definition: dl_text_impeller.cc:11
impeller::MakeTextFrameFromTextBlobSkia
std::shared_ptr< TextFrame > MakeTextFrameFromTextBlobSkia(const sk_sp< SkTextBlob > &blob)
Definition: text_frame_skia.cc:45

References Make(), and impeller::MakeTextFrameFromTextBlobSkia().

The documentation for this class was generated from the following files:

- impeller/display_list/dl_text_impeller.h
- impeller/display_list/dl_text_impeller.cc